## indi-apogee 1.9%2B20220129131520

=== debian/control ===
Source: indi-apogee
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libapogee-dev
	, libcfitsio-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-apogee
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-apogee.git

Package: indi-apogee
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: INDI driver for Apogee CCDs and Filter Wheels
 This package contains the INDI driver for hardware from Apogee,
 especially CCDs and filter wheels.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
