## indi-apogee 1.9+20220129131520

=== debian/changelog ===
indi-apogee (1.9+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4
  * debian/control: fix VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:28:28 +0000

indi-apogee (1.9-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 23:30:07 +0100

indi-apogee (1.9-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Dec 2021 18:30:07 +0100
