## indi-apogee 1.9+20220610100515

=== debian/changelog ===
indi-apogee (1.9+20220610100515-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:05:25 +0000
