=== debian/changelog ===
indi-apogee (1.9+20221223184417-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113008)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 26 Sep 2025 23:59:08 +0200

indi-apogee (1.9+20221223184417-2) unstable; urgency=medium

  * debian/control: change dependency of indi-apogee from
                    libapogee3 to libapogee3t64
                    (Closes: #1068371)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 10 Apr 2024 22:45:32 +0200

indi-apogee (1.9+20221223184417-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.9

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 18:45:32 +0000
