=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	, libapogee-dev
 	, libcfitsio-dev
 	, zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/indilib/indi-3rdparty
 Rules-Requires-Root: no
 XS-Autobuild: yes
@@ -20,6 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 	, libusb-1.0-0
+	, libapogee3t64
 Description: INDI driver for Apogee CCDs and Filter Wheels
  This package contains the INDI driver for hardware from Apogee,
  especially CCDs and filter wheels.
